## 802-11-wireless-security 802-11-wireless-security — Wi-Fi Security Settings |

## Properties

Table 94.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    auth-alg
    string
    fils
    int32
    0
    group
    array of string
    key-mgmt
    string
    leap-password
    string
    leap-password-flags
    NMSettingSecretFlags (uint32)
    leap-username
    string
    pairwise
    array of string
    pmf
    int32
    0
    proto
    array of string
    psk
    string
    psk-flags
    NMSettingSecretFlags (uint32)
    wep-key-flags
    NMSettingSecretFlags (uint32)
    wep-key-type
    NMWepKeyType (uint32)
    wep-key0
    string
    wep-key1
    string
    wep-key2
    string
    wep-key3
    string
    wep-tx-keyidx
    uint32
    0
    wps-method
    uint32
    0